Name: ketchup
Version: 1.0.1
Release: 6%{?dist}
Group: Development/Tools
Summary: Linux Kernel source switch/update tool
License: GPL+
URL: https://github.com/psomas/ketchup/
Source: http://no.codiert.org/misc/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

Requires: wget
Requires: gnupg

%description
Ketchup is a tool for updating or switching between versions of the
Linux kernel source. It can:
- Find the latest versions of numerous KernelTrees;
- Calculate which patches are needed to move to that version;
- Download any patches or tarballs that aren't cached;
- Check GPG signatures where available;
- Apply and unapply patches to get the desired result.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib
install -p -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m644 ketchup.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/ketchup.1
install -p -m755 contrib/* -D $RPM_BUILD_ROOT%{_datadir}/%{name}/contrib/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/ketchup
%{_mandir}/man1/ketchup.1.*
%{_datadir}/%{name}

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu May 18 2011 Benjamin Krill <ben@codiert.org> 1.0.1-1
- Update to 1.0.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.8-2
- fix license tag

* Thu Jun 21 2007 Benjamin Krill <ben@codiert.org> 0.9.8-1
- initial release for fedora

* Thu May 04 2006 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 0.9.8-1mdk
- update to 0.9.8

* Fri Mar 31 2006 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 0.9.6-1mdk
- initial release
